Do not try to install the jdk7 flavor of Bazel in gce/bootstrap-bazel.sh

It no longer exists.

Change-Id: I69f0f055e0d3bb4feb30328c1ddc30738b4cb9f0
diff --git a/gce/bootstrap-bazel.sh b/gce/bootstrap-bazel.sh
index 0102cb3..8b62a32 100644
--- a/gce/bootstrap-bazel.sh
+++ b/gce/bootstrap-bazel.sh
@@ -12,6 +12,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+set -eu
 
 # Install a bootstrap bazel; we use the latest released version
 PLATFORM=$(uname -s | tr '[:upper:]' '[:lower:]')-$(uname -m)
@@ -22,23 +23,16 @@
 mkdir -p "${CI_HOME}/bootstrap-bazel"
 cd "${CI_HOME}/bootstrap-bazel"
 
-for flavour in '' '-jdk7'
-do
-    jdk=
-    if [ "$flavour" = "" ]; then
-      jdk="-without-jdk"
-    fi
-    installer="https://releases.bazel.build/${BAZEL_VERSION}/release/bazel-${BAZEL_VERSION}${flavour}${jdk}-installer-${PLATFORM}.sh"
-    destination="${CI_HOME}/.bazel/${BAZEL_VERSION}${flavour}"
-    curl -L -o install.sh "${installer}"
-    chmod 0755 ./install.sh
-    rm -fr "${destination}"
-    mkdir -p "${destination}"
-    ./install.sh \
-        --base="${destination}" \
-        --bin="${destination}/binary"
-    ln -s "${destination}" "${CI_HOME}/.bazel/latest${flavour}"
-done
+installer="https://releases.bazel.build/${BAZEL_VERSION}/release/bazel-${BAZEL_VERSION}-without-jdk-installer-${PLATFORM}.sh"
+destination="${CI_HOME}/.bazel/${BAZEL_VERSION}"
+curl -L -o install.sh "${installer}"
+chmod 0755 ./install.sh
+rm -fr "${destination}"
+mkdir -p "${destination}"
+./install.sh \
+    --base="${destination}" \
+    --bin="${destination}/binary"
+ln -s "${destination}" "${CI_HOME}/.bazel/latest"
 
 chown -R ci "${CI_HOME}/.bazel"
 rm -rf "${CI_HOME}/bootstrap-bazel"